Loading...
Searching...
No Matches
argagg::unexpected_option_error Struct Reference

This exception is thrown when an option is parsed unexpectedly such as when an argument was expected for a previous option or if an option was found that has not been defined. More...

`#include <argagg.hpp>`

Inheritance diagram for argagg::unexpected_option_error:

## Public Member Functions

T | runtime_error (T... args)
Public Member Functions inherited from std::runtime_error
T | runtime_error (T... args)
T | what (T... args)
Public Member Functions inherited from std::exception
T | what (T... args)
T | ~exception (T... args)
T | operator= (T... args)
T | exception (T... args)

## Detailed Description

This exception is thrown when an option is parsed unexpectedly such as when an argument was expected for a previous option or if an option was found that has not been defined.

Definition at line 116 of file argagg.hpp.

## Member Function Documentation

## runtime_error()

T std::runtime_error::runtime_error | ( | T... | args | ) |

The documentation for this struct was generated from the following file:

- argagg.hpp